<template>
	<view class="postDetail">
		<navbar leftClick @leftClick="$utils.navigateBack" title="详情" />

		<view class="works">
			
			<userHeadItem :item="detail"/>
			
			<!-- 活动 -->
			<activityInfo :item="detail"/>
			
			<daynamicInfo :item="detail"/>
			
			<statisticalDataInfo :item="detail"/>
			
		</view>

	
		<commentList 
		@getData="getData"
		:list="list"
		:params="params"
		/>

		
	</view>
</template>

<script>
	import mixinsSex from '@/mixins/sex.js'
	import mixinsList from '@/mixins/list.js'
	import commentList from '../components/list/comment/commentList.vue'
	import userHeadItem from '@/components/list/dynamic/userHeadItem.vue'
	import daynamicInfo from '@/components/list/dynamic/daynamicInfo.vue'
	import activityInfo from '@/components/list/activity/activityInfo.vue'
	import statisticalDataInfo from '@/components/list/statisticalDataInfo.vue'
	export default {
		mixins: [mixinsSex, mixinsList],
		components: {
			commentList,
			userHeadItem,
			daynamicInfo,
			activityInfo,
			statisticalDataInfo,
		},
		data() {
			return {
				detail: {},
				mixinsListApi : 'getCommentPage',
				params : {
					type : '5',
					orderId : '',
					name : '',
				},
				id : 0,
			}
		},
		onLoad(options) {
			// this.$route.query的参数
			console.log(options)
			this.id = options.id
			this.queryParams.type = this.params.type
			this.queryParams.orderId = options.id
			
			this.params.orderId = options.id
		},
		onShareAppMessage(res) {
			return {
				title: this.detail.title,
				path: '/pages_order/post/postDetail?id=' + this.id
			}
		},
		onPullDownRefresh() {
			this.getDetail()
		},
		onShow() {
			this.getDetail()
		},
		onShareAppMessage(res) {
			// return {
			//   title: this.item.title,
			//   desc: this.item.content && this.item.content.slice(0, 30),
			//   path: '/pages/publish/postDetail?id=' + this.id
			// }
		},
		methods: {
			getDetail() {
				this.$api('getActivityDetail', {
					id: this.id
				}, res => {
					uni.stopPullDownRefresh()
					if (res.code == 200) {
						
						this.params.name = res.result.userName

						this.detail = res.result
					}
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
	.postDetail {
		padding-bottom: env(safe-area-inset-bottom);
		.works {
			background-color: #fff;
			padding: 40rpx;
			border-radius: 20rpx;

			.bottom {
				display: flex;
				margin-top: 20rpx;
				font-size: 24rpx;

				.browse {
					margin: 0rpx 30rpx;
					color: rgb(132, 132, 132);
				}

				.Leavingamessage {
					margin-left: auto;
					display: flex;
					align-items: center;
				}
			}
		}
		
	}
</style>